%define anolis_release 2

Name:           libotf
Version:        0.9.16
Release:        %{anolis_release}%{?dist}
Summary:        A Library for handling OpenType Font
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.nongnu.org/m17n/
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz

BuildRequires:  gcc make
BuildRequires:  freetype-devel libXaw-devel
Requires:       freetype
Provides:       /usr/bin/otfdump

%description 
The library "libotf" provides the following facilites.
Read Open Type Layout Tables from OTF file. Currently these tables are
supported; head, name, cmap, GDEF, GSUB, and GPOS.  Convert a Unicode
character sequence to a glyph code sequence by using the above tables.
The combination of libotf and the FreeType library (Ver.2) realizes
CTL (complex text layout) by OpenType fonts. This library is currently
used by the m17n library. It seems that the probject Free Type Layout
provides the similar (or better) facility as this library, but
currently they have not yet released their library. So, we have
developed this one.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documents for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
for file in %{buildroot}%{_bindir}/*; do chrpath -d $file || true; done

(cd example && make clean && rm -rf .deps && rm Makefile)
rm -f %{buildroot}%{_bindir}/libotf-config

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libotf.so.*
%{_bindir}/otfdump
%{_bindir}/otflist
%{_bindir}/otftobdf
%{_bindir}/otfview
%{abidir}/*-option.list
%{abidir}/libotf.dump

%files devel
%{_includedir}/otf.h
%{_libdir}/libotf.so
%{_libdir}/pkgconfig/libotf.pc
%doc example

%files doc
%doc AUTHORS README NEWS

%changelog
* Tue Apr 11 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.9.16-2
- Optimize the spec file

* Fri Jan 6 2023 Funda Wang <fundawang@yeah.net> - 0.9.16-1
- Import package for anolis 23
